//********************************************
//Author：AIONG 2010.1.8
//E-mail:Cloudflyang@163.com 
//V-20100108
//********************************************
//this.txtNeedCount.Attributes.Add("onkeypress", "return input.Int(this,event)");
/*********************************************/
jQuery.noConflict();
var input = {
    RegInput : function(obj,reg,e){
        if(!jQuery(obj).is("input"))return false;
        var tempVal;
        try{tempVal=event.keyCode;}
        catch(e){tempVal=regInput.arguments[2].which;}
        if(8==tempVal||0==tempVal)return true;//退格键
        //如果选中的话
        //obj.select()
        //alert(obj.select());
        var _oldstr=obj.value;
        var str = _oldstr+String.fromCharCode(tempVal).replace("`","");
        var _bool=reg.test(str);
        return _bool;
    },
    Int : function(obj,e){
        return input.RegInput(obj,/^([0-9]*)$/,e);
    },
    Float : function(obj,e){
        return input.RegInput(obj,/^[0-9]*$|^[0-9]*[.]{1}([0-9]{1,2})?$/,e);// /^\d+\.*\d{0,2}$/
    }
}
/*
function regInput(obj,reg,e){
    if(!jQuery(obj).is("input"))return false;
    var tempVal;
    try{tempVal=event.keyCode;}
    catch(e){tempVal=regInput.arguments[2].which;}
    if(8==tempVal||0==tempVal)return true;//退格键
    //如果选中的话
    //obj.select()
    //alert(obj.select());
    var _oldstr=obj.value;
    var str = _oldstr+String.fromCharCode(tempVal).replace("`","");
    var _bool=reg.test(str);
    return _bool;
}
//只能输入两位数的浮点型或者整数
function inputFloat(obj,e){
    return regInput(obj,/^[0-9]*$|^[0-9]*[.]{1}([0-9]{1,2})?$/,e);// /^\d+\.*\d{0,2}$/
}
//只能输入整数
function inputInt(obj,e){
    //return regInput(obj,/^([1-9][0-9]*)$/,e);
    //update by aiong 
    return regInput(obj,/^([0-9]*)$/,e);
    
}
*/